import React from 'react';
import { FoundationDataConsumerProps, FoundationDataProviderContextType, FoundationDataProviderProps } from './types';
export declare function FoundationDataProvider<TData, TOptions = never>({ children, fetchData, initialFetchDataOptions, }: FoundationDataProviderProps<TData, TOptions>): React.ReactElement;
export declare function FoundationDataConsumer<TData, TOptions = never>({ children, }: FoundationDataConsumerProps<TData, TOptions>): React.ReactElement;
export declare function useDataProvider<TData, TOptions = never>(): FoundationDataProviderContextType<TData, TOptions>;
